package domain

type AlibabaHmMarketingItempoolExcludeskucodeMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   报名活动成功的商品详情     */
	Data *AlibabaHmMarketingItempoolExcludeskucodeItemPoolSku `json:"data,omitempty" `

	/*
	   是否报名成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolExcludeskucodeMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolExcludeskucodeMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolExcludeskucodeMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolExcludeskucodeMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolExcludeskucodeMarketResult) SetData(v AlibabaHmMarketingItempoolExcludeskucodeItemPoolSku) *AlibabaHmMarketingItempoolExcludeskucodeMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaHmMarketingItempoolExcludeskucodeMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolExcludeskucodeMarketResult {
	s.Success = &v
	return s
}
